unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    procedure FormCreate(Sender: TObject);
    procedure Chart1Zoom(Sender: TObject);
    procedure Chart1UndoZoom(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.FormCreate(Sender: TObject);
var i, j: Integer;
begin
  Chart1.Align:=alClient;
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  for i:=0 to 3 do
  begin
    Chart1.AddSeries(TFastLineSeries);
    Chart1[i].Add(Random(10) + 100);
    for j:=1 to 25 do
      Chart1[i].Add(Chart1[i].YValue[j-1] + Random(5) - 2.4);

    Chart1.CustomAxes.Add;
    Chart1[i].CustomVertAxis:=Chart1.CustomAxes[i];
    with Chart1[i].CustomVertAxis do
    begin
      OtherSide:=true;
      PositionUnits:=muPixels;
      PositionPercent:=-i*45;
      Axis.Visible:=false;
      LabelsFont.Color:=Chart1[i].Color;

      if (i = 0) then
        SetMinMax(0,4)
      else
      begin
        SetMinMax(0,400);
        Grid.Visible:=false;
      end;

      Increment := (Maximum - Minimum)/10;
    end;
  end;
  Chart1.MarginRight:=20;
end;

procedure TForm1.Chart1Zoom(Sender: TObject);
var i: Integer;
begin
  for i:=0 to Chart1.CustomAxes.Count-1 do
    with Chart1.CustomAxes[i] do
      SetMinMax(CalcPosPoint(Chart1.Zoom.Y1), CalcPosPoint(Chart1.Zoom.Y0));
end;

procedure TForm1.Chart1UndoZoom(Sender: TObject);
var i: Integer;
begin
  for i:=0 to Chart1.CustomAxes.Count-1 do
    if i = 0 then
      Chart1.CustomAxes[i].SetMinMax(0,4)
    else
      Chart1.CustomAxes[i].SetMinMax(0,400);
end;

end.
